#
# spec file for package opam-file-format
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_with opam_file_format_testsuite
%define build_flavor %nil
%if "%build_flavor" == "testsuite"
%if %{without opam_file_format_testsuite}
ExclusiveArch:  do-not-build
%endif
%define nsuffix -testsuite
%else
%define nsuffix %nil
%endif

%define     pkg opam-file-format
Name:           %pkg%nsuffix
Version:        2.1.6
Release:        1.6
%{?ocaml_preserve_bytecode}
Summary:        Parser and printer for the opam file syntax
License:        LGPL-2.1-only WITH OCaml-LGPL-linking-exception
Group:          Development/Languages/OCaml
URL:            https://opam.ocaml.org/
Source0:        %pkg-%version.tar.xz
BuildRequires:  ocaml
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-rpm-macros >= 20230101

%if "%build_flavor" == "testsuite"
BuildRequires:  ocamlfind(alcotest)
BuildRequires:  ocamlfind(opam-file-format)
%endif

%description
This is a parser and a printer for the opam file syntax.

%package devel
Summary:        Development files for the opam file syntax parser
Group:          Development/Languages/OCaml
Requires:       %name = %version

%description devel
This is a parser and a printer for the opam file syntax.

This package contains development files for package %name.

%prep
%autosetup -p1 -n %pkg-%version

%build
dune_release_pkgs='opam-file-format'
%ocaml_dune_setup
%if "%build_flavor" == ""
%ocaml_dune_build
%endif

%install
%if "%build_flavor" == ""
%ocaml_dune_install
%ocaml_create_file_list
%endif

%if "%build_flavor" == "testsuite"
%check
%ocaml_dune_test
%endif

%if "%build_flavor" == ""
%files -f %name.files

%files devel -f %name.files.devel
%endif

%changelog
* Fri May  5 2023 ohering@suse.de
- Update to version 2.1.6
  see included CHANGES for details
* Sun Jan  1 2023 ohering@suse.de
- Update to version 2.1.5
  see included CHANGES for details
* Mon Apr  4 2022 ohering@suse.de
- Update to version 2.1.4
  see included CHANGES for details
* Sat Sep 11 2021 ohering@suse.de
- Update to version 2.1.3
  see included CHANGES for details
* Fri Nov  1 2019 ohering@suse.de
- Require current dune macros
* Tue Feb  5 2019 Jan Engelhardt <jengelh@inai.de>
- Avoid em dash in summaries
* Sun Feb  3 2019 andy@onthewings.net
- Update License: to use proper spdx.
- Use rpm license macro to install LICENSE.
- Do not build in parallel since the Makefile does not support it.
* Wed Aug  1 2018 antoine.belvire@opensuse.org
- Update to version 2.0.0:
  * Fix single-line comment regexp
  * Consistent behaviour in OpamParser.parse_from_file
  * Convert unescaped newline in strings to \n
  * Allow escaping eol on CRLF-encoded file
  * Tidy the handling of \r\n
* Wed Apr 18 2018 antoine.belvire@opensuse.org
- Update to version 2.0.0~rc2:
  * Bump version
  * Close input channel after `OpamParser.file`
  * Accept the "semantic versioning" rel operator "~"
- Add _service file.
* Wed Dec  6 2017 antoine.belvire@opensuse.org
- Update to version 2.0.0~beta5:
  * Add expose value parsers in OpamParser.
  * Fix precedence of '&' and '|'.
  * Add missing LICENSE file.
  * Make format-preserving reprinting insensitive to rewritten
    positions.
- Small spec file cleanups.
- Drop ocamlfind build dependency, use install target of Makefile
  instead of 'ocamlfind install'.
* Tue Jul 25 2017 ohering@suse.de
- Use Group: Development/Languages/OCaml
* Mon Jul 17 2017 ohering@suse.de
- Wrap specfile conditionals to fix quilt setup
* Thu Jul  6 2017 antoine.belvire@opensuse.org
- Update to version 2.0.0~beta3.
- Fix source URL.
* Sat Apr 22 2017 antoine.belvire@opensuse.org
- Update to version 2.0.0~beta.
* Tue Jan 10 2017 antoine.belvire@opensuse.org
- Fix build for SLE 11 and openSUSE 11.4:
  * Add explicit group tag to devel subpackage
  * Add defattr to file list
* Sun Dec 25 2016 antoine.belvire@opensuse.org
- Create package opam-file-format 2.0~alpha5
